#ifndef ROCKET_H
#define ROCKET_H

#include <Adafruit_NeoPixel.h>
class NeoPatterns; // Forward  declaration

class Rocket
{
  public:
    int _id;
    Rocket(NeoPatterns *parent, float pos, float rocketspeed, float rocket_slowdown);
    Rocket();
    bool operator==(const Rocket &r) const;
    void update();
    int pos();
    float rocketspeed();
    int id();
    uint16_t iteration();
  private:
    float _pos;
    float _speed;
    int _lastbright;
    float _rocket_slowdown;
    uint16_t _iteration;
    NeoPatterns * _parent;

};

#endif
